Replace the 10-band and 3-band equalizer audio filters by a custom curve UI controlling the GStreamer "N Band Equalizer" plugin
Closed, ResolvedPublic

Description

So while the 10-band and 3-band audio equalizer filters don't work (bug #T3261), there also seems to be an audio effect available called "N Band Equalizer". The thing is, if you look at it in Pitivi the only UI you get is a slider for the "num-bands" property.

The problem is that this makes little sense if you can't control the loudness of each frequency band. Looking at http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-good-plugins/html/gst-plugins-good-plugins-equalizer-nbands.html this is not set through a property.

So you'd need to do two things:

  • Some backend stuff to get the band values to work (see above), which would involve GES.
  • Implement the infrastructure for easily creating custom effect UIs (bug #T3263)

If we had a custom UI for this effect, where users could control a "histogram" of many sliders (probably laid out in vertical orientations instead of horizontal), the UI could have a combobox offering some presets for the "Precision": [3 bands, 10 bands, 16 bands, 32 bands, 64 bands]. If so, then we could just have one standard UI/effect and blacklist the 3-band and 10-band filters.

Imported from https://bugzilla.gnome.org/show_bug.cgi?id=741371

jeff claimed this task.Dec 11 2014, 12:59 AM
jeff created this task.
jeff added a subscriber: jeff.
pitivi-maint triaged this task as Enhancement priority.Dec 11 2014, 12:59 AM
pitivi-maint claimed this task.
thiblahute removed pitivi-maint as the assignee of this task.Sep 16 2015, 1:40 PM
thiblahute added a project: Pitivi.
thiblahute removed pitivi-maint as the assignee of this task.Sep 16 2015, 1:44 PM

GitLab Migration Automatic Message

This bug has been migrated to GNOME's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.gnome.org/GNOME/pitivi/issues/1551.

csoriano1618 closed this task as Closed.Feb 23 2018, 10:37 PM
csoriano1618 claimed this task.